(define-module (bugafriend listener)
  #:use-module (bugafriend utils registry)
  #:use-module (goblins)
  #:use-module (goblins ocapn ids)
  #:export (listen-chat))

;; Code for the listener
(define (^listener bcom)
  (lambda (text) (format #t "~a\n" text)))

(define (listen-chat setup-sref)
(on (prelay-sref->mycapn-registry setup-sref)
    (lambda (registry)
      (define chat-listener (spawn ^listener))
      (define listener-id ($ registry 'register chat-listener))
      (format #t "Share this with a friend so they can send a message: ~a\n" (ocapn-id->string listener-id)))))
